about summary refs log tree commit diff stats
path: root/pkgs/by-name/lf/lf-make-map/tests
diff options
context:
space:
mode:
Diffstat (limited to 'pkgs/by-name/lf/lf-make-map/tests')
-rwxr-xr-xpkgs/by-name/lf/lf-make-map/tests/base.sh25
-rwxr-xr-xpkgs/by-name/lf/lf-make-map/tests/cases/child_insert/test.sh27
-rw-r--r--pkgs/by-name/lf/lf-make-map/tests/cases/simple/output.old46
-rw-r--r--pkgs/by-name/lf/lf-make-map/tests/cases/simple/output.old.license9
-rwxr-xr-xpkgs/by-name/lf/lf-make-map/tests/cases/simple/test.sh49
5 files changed, 156 insertions, 0 deletions
diff --git a/pkgs/by-name/lf/lf-make-map/tests/base.sh b/pkgs/by-name/lf/lf-make-map/tests/base.sh
new file mode 100755
index 00000000..c7694985
--- /dev/null
+++ b/pkgs/by-name/lf/lf-make-map/tests/base.sh
@@ -0,0 +1,25 @@
+#! /usr/bin/env sh
+
+# nixos-config - My current NixOS configuration
+#
+# Copyright (C) 2025 Benedikt Peetz <benedikt.peetz@b-peetz.de>
+# SPDX-License-Identifier: GPL-3.0-or-later
+#
+# This file is part of my nixos-config.
+#
+# You should have received a copy of the License along with this program.
+# If not, see <https://www.gnu.org/licenses/gpl-3.0.txt>.
+
+cd "$(dirname "$0")" || exit 2
+
+cargo build
+execute_make_maps() {
+    ../target/debug/lf-make-map "$@"
+}
+
+fd . cases --max-depth 1 --type directory | while read -r case; do
+    echo "Executing '$case/test.sh'"
+
+    # shellcheck source=/dev/null
+    LOCATION="$case/test.sh" . "$case/test.sh"
+done
diff --git a/pkgs/by-name/lf/lf-make-map/tests/cases/child_insert/test.sh b/pkgs/by-name/lf/lf-make-map/tests/cases/child_insert/test.sh
new file mode 100755
index 00000000..90ebe1ce
--- /dev/null
+++ b/pkgs/by-name/lf/lf-make-map/tests/cases/child_insert/test.sh
@@ -0,0 +1,27 @@
+#! /usr/bin/env sh
+
+# nixos-config - My current NixOS configuration
+#
+# Copyright (C) 2025 Benedikt Peetz <benedikt.peetz@b-peetz.de>
+# SPDX-License-Identifier: GPL-3.0-or-later
+#
+# This file is part of my nixos-config.
+#
+# You should have received a copy of the License along with this program.
+# If not, see <https://www.gnu.org/licenses/gpl-3.0.txt>.
+
+test="$(mktemp --directory)"
+
+cleanup() {
+    rm --recursive "$test"
+}
+trap cleanup EXIT
+
+cat <<EOF | while read -r name; do mkdir --parents "$test/media/books/${name}"; done
+Andre A
+Anton B
+Andon C
+Anton D
+EOF
+
+execute_make_maps --home-name "$test" --depth 100 generate "$test"/* >/dev/null
diff --git a/pkgs/by-name/lf/lf-make-map/tests/cases/simple/output.old b/pkgs/by-name/lf/lf-make-map/tests/cases/simple/output.old
new file mode 100644
index 00000000..90591f16
--- /dev/null
+++ b/pkgs/by-name/lf/lf-make-map/tests/cases/simple/output.old
@@ -0,0 +1,46 @@
+map gdd. cd "/tmp/tmp.DfcgjemfCG/d"
+map gddcc. cd "/tmp/tmp.DfcgjemfCG/d/c"
+map gddccb. cd "/tmp/tmp.DfcgjemfCG/d/c/b"
+map gddccbc. cd "/tmp/tmp.DfcgjemfCG/d/c/b/c"
+map gddccbcf. cd "/tmp/tmp.DfcgjemfCG/d/c/b/c/file.test"
+map gddccd. cd "/tmp/tmp.DfcgjemfCG/d/c/d"
+map gddccdf. cd "/tmp/tmp.DfcgjemfCG/d/c/d/f"
+map gddccdff. cd "/tmp/tmp.DfcgjemfCG/d/c/d/f/file.test2"
+map gddcco. cd "/tmp/tmp.DfcgjemfCG/d/c/other"
+map gddccof. cd "/tmp/tmp.DfcgjemfCG/d/c/other/file.test3"
+map gddct. cd "/tmp/tmp.DfcgjemfCG/d/cll_the-things"
+map gddcto. cd "/tmp/tmp.DfcgjemfCG/d/cll_the-things/other"
+map gddctof. cd "/tmp/tmp.DfcgjemfCG/d/cll_the-things/other/file.test4"
+map gddm. cd "/tmp/tmp.DfcgjemfCG/d/mcybe some whitespcce"
+map gddmt. cd "/tmp/tmp.DfcgjemfCG/d/mcybe some whitespcce/test.file5"
+map gdi. cd "/tmp/tmp.DfcgjemfCG/dir"
+map gdicc. cd "/tmp/tmp.DfcgjemfCG/dir/c"
+map gdiccb. cd "/tmp/tmp.DfcgjemfCG/dir/c/b"
+map gdiccbc. cd "/tmp/tmp.DfcgjemfCG/dir/c/b/c"
+map gdiccbcf. cd "/tmp/tmp.DfcgjemfCG/dir/c/b/c/file.test"
+map gdiccd. cd "/tmp/tmp.DfcgjemfCG/dir/c/d"
+map gdiccdf. cd "/tmp/tmp.DfcgjemfCG/dir/c/d/f"
+map gdiccdff. cd "/tmp/tmp.DfcgjemfCG/dir/c/d/f/file.test2"
+map gdicco. cd "/tmp/tmp.DfcgjemfCG/dir/c/other"
+map gdiccof. cd "/tmp/tmp.DfcgjemfCG/dir/c/other/file.test3"
+map gdict. cd "/tmp/tmp.DfcgjemfCG/dir/cll_the-things"
+map gdicto. cd "/tmp/tmp.DfcgjemfCG/dir/cll_the-things/other"
+map gdictof. cd "/tmp/tmp.DfcgjemfCG/dir/cll_the-things/other/file.test4"
+map gdim. cd "/tmp/tmp.DfcgjemfCG/dir/mcybe some whitespcce"
+map gdimt. cd "/tmp/tmp.DfcgjemfCG/dir/mcybe some whitespcce/test.file5"
+map gdo. cd "/tmp/tmp.DfcgjemfCG/dor"
+map gdocc. cd "/tmp/tmp.DfcgjemfCG/dor/c"
+map gdoccb. cd "/tmp/tmp.DfcgjemfCG/dor/c/b"
+map gdoccbc. cd "/tmp/tmp.DfcgjemfCG/dor/c/b/c"
+map gdoccbcf. cd "/tmp/tmp.DfcgjemfCG/dor/c/b/c/file.test"
+map gdoccd. cd "/tmp/tmp.DfcgjemfCG/dor/c/d"
+map gdoccdf. cd "/tmp/tmp.DfcgjemfCG/dor/c/d/f"
+map gdoccdff. cd "/tmp/tmp.DfcgjemfCG/dor/c/d/f/file.test2"
+map gdocco. cd "/tmp/tmp.DfcgjemfCG/dor/c/other"
+map gdoccof. cd "/tmp/tmp.DfcgjemfCG/dor/c/other/file.test3"
+map gdoct. cd "/tmp/tmp.DfcgjemfCG/dor/cll_the-things"
+map gdocto. cd "/tmp/tmp.DfcgjemfCG/dor/cll_the-things/other"
+map gdoctof. cd "/tmp/tmp.DfcgjemfCG/dor/cll_the-things/other/file.test4"
+map gdom. cd "/tmp/tmp.DfcgjemfCG/dor/mcybe some whitespcce"
+map gdomt. cd "/tmp/tmp.DfcgjemfCG/dor/mcybe some whitespcce/test.file5"
+
diff --git a/pkgs/by-name/lf/lf-make-map/tests/cases/simple/output.old.license b/pkgs/by-name/lf/lf-make-map/tests/cases/simple/output.old.license
new file mode 100644
index 00000000..eae6a84c
--- /dev/null
+++ b/pkgs/by-name/lf/lf-make-map/tests/cases/simple/output.old.license
@@ -0,0 +1,9 @@
+nixos-config - My current NixOS configuration
+
+Copyright (C) 2025 Benedikt Peetz <benedikt.peetz@b-peetz.de>
+SPDX-License-Identifier: GPL-3.0-or-later
+
+This file is part of my nixos-config.
+
+You should have received a copy of the License along with this program.
+If not, see <https://www.gnu.org/licenses/gpl-3.0.txt>.
diff --git a/pkgs/by-name/lf/lf-make-map/tests/cases/simple/test.sh b/pkgs/by-name/lf/lf-make-map/tests/cases/simple/test.sh
new file mode 100755
index 00000000..6e127d28
--- /dev/null
+++ b/pkgs/by-name/lf/lf-make-map/tests/cases/simple/test.sh
@@ -0,0 +1,49 @@
+#! /usr/bin/env sh
+
+# nixos-config - My current NixOS configuration
+#
+# Copyright (C) 2025 Benedikt Peetz <benedikt.peetz@b-peetz.de>
+# SPDX-License-Identifier: GPL-3.0-or-later
+#
+# This file is part of my nixos-config.
+#
+# You should have received a copy of the License along with this program.
+# If not, see <https://www.gnu.org/licenses/gpl-3.0.txt>.
+
+# We need to hard code this, so that our output matches the golden sample.
+base="/tmp/tmp.DfcgjemfCG"
+test="$(mktemp --directory)"
+
+[ -d "$base" ] && {
+    echo "$base already exists!"
+    exit 1
+}
+
+mkdir "$base"
+
+cleanup() {
+    rm --recursive "$base" "$test"
+}
+trap cleanup EXIT
+
+mkdir --parents "$base/dir/c/b/c/file.test"
+mkdir --parents "$base/dir/c/d/f/file.test2"
+mkdir --parents "$base/dir/c/other/file.test3"
+mkdir --parents "$base/dir/cll_the-things/other/file.test4"
+mkdir --parents "$base/dir/mcybe some whitespcce/test.file5"
+
+mkdir --parents "$base/dor/c/b/c/file.test"
+mkdir --parents "$base/dor/c/d/f/file.test2"
+mkdir --parents "$base/dor/c/other/file.test3"
+mkdir --parents "$base/dor/cll_the-things/other/file.test4"
+mkdir --parents "$base/dor/mcybe some whitespcce/test.file5"
+
+mkdir --parents "$base/d/c/b/c/file.test"
+mkdir --parents "$base/d/c/d/f/file.test2"
+mkdir --parents "$base/d/c/other/file.test3"
+mkdir --parents "$base/d/cll_the-things/other/file.test4"
+mkdir --parents "$base/d/mcybe some whitespcce/test.file5"
+
+execute_make_maps --home-name "$base" --depth 100 generate "$base"/* >"$test/output.new"
+
+diff "$test/output.new" "$(dirname "$LOCATION")/output.old"